package ru.yandex.webmaster3.core.semantic.review_business.model;

import java.util.Date;

/**
 * User: willzyx
 * Date: 7/19/12 - 1:13 AM
 */
public abstract class LinkToOriginReview {

    public abstract String originReviewId();

    public abstract Date linkMountAt();

    public abstract Date linkExpireAt();

    public final boolean expired() {
        return System.currentTimeMillis() > linkExpireAt().getTime();
    }
}
